2017-11-03  osnola  <alonso@loria.fr>  [f513ce7f312efa287be9225376f3b55b98429d8b]

tupdate some README text files...


2017-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bbb5235cf7958ab72cad0575eba5b4e2399cd270]

tdoxygen -u


2017-10-30  Miklos Vajna  <vmiklos@collabora.co.uk>  [3b3d6d86c04f7996031e59019cbd7f4de365e097]

tUse auto when declaring iterators and when initializing with a cast


2017-08-11  Miklos Vajna  <vmiklos@collabora.co.uk>  [9e9040b74ae7863618d131974c6fd685b97dc2c1]

tConvert explicit for loops to range-based ones where possible

tThis is most useful in the FrameManager ctor to avoid depending on
tU_NumberAnchorToUse is the last enumerator of the AnchorToUse enum.

2017-08-10  Miklos Vajna  <vmiklos@collabora.co.uk>  [7e7ed88714ca58445462d7dd8d5bc98942a1a8c8]

tConvert 0 to nullptr where it's used as a pointer value

tTo make the code easier to read, because this means the remaining zeros
tall mean numbers.

2017-08-10  Miklos Vajna  <vmiklos@collabora.co.uk>  [85dec469383f86d8ccb45ab54090fe8a5bdcd332]

tTextRunStyle: mark two remaining virtual functions as final


2017-08-02  osnola  <alonso@loria.fr>  [d31f5466dd9df1e8949ed1b9633a3e43a2d377e0]

ttest/StringDocumentHandler.hxx: add some final keywords...


2017-08-01  osnola  <alonso@loria.fr>  [a355e6fc63e357a4a0939971ae261a75bbdd31dd]

tall: define some classes as final...


2017-08-01  osnola  <alonso@loria.fr>  [e8c65653dc82167af2fb9fa6c6531923c0fe5dbb]

tall: replace some virtual keyword by override/final keywords...


2017-07-30  osnola  <alonso@loria.fr>  [457a7bd94fa129d6235d05430d194331f092e12f]

tReplace HAVE_GCC_ATTRIBUTE_FORMAT by HAVE_FUNC_ATTRIBUTE_FORMAT...


2017-07-29  osnola  <alonso@loria.fr>  [c43362cc953d35c4c557d3f4fc5a5681c0f7175c]

tABWTextGenerator.cxx: try to simplify the code...


2017-07-29  osnola  <alonso@loria.fr>  [9ed361bb0a6cddab7e44bc527819469867bb89c5]

tABWSpreadsheetToTableGenerator.cxx: try to simplify the code...


2017-07-29  osnola  <alonso@loria.fr>  [1e9b5fc93d777bc84fd7bf1f2692ebbf36d0bf28]

tABWSVGDrawingGenerator: try to simplify the code...


2017-07-29  osnola  <alonso@loria.fr>  [0b5479377ce1cfe0c862c48bcb03f5cb3c8e0b80]

tABWGenerator.*: try to simplify the code...


2017-07-29  osnola  <alonso@loria.fr>  [ec3586718b9e973dba461b1da494214dc3af445f]

tm4: add ax_cxx_compile_stdcxx* files...


2017-07-28  osnola  <alonso@loria.fr>  [c665588b7dd41d7577d581634d2798ad47da51b4]

tFrame.cxx: simplify the code...


2017-07-28  osnola  <alonso@loria.fr>  [f3bd345f6d6d7b2ebab4e8a06e167fa76f4ce865]

ttry to simplify Table.* and TextRunStyle.*


2017-07-28  osnola  <alonso@loria.fr>  [73de85bd75682142ff4035eff601c2e74c33fc9f]

tTable.hxx: replace some Table * by std::shared_ptr<Table>.


2017-07-28  osnola  <alonso@loria.fr>  [5cc4cf021de64e595e208112c9b77bcf15e8e6be]

tListStyle.cxx: try to simplify the code...


2017-07-28  osnola  <alonso@loria.fr>  [43479a1179515221cf7ee94b8150cdd9e303238f]

tFilterInternal.cxx: use RVNGString::append(const char *) to insert unicode characters, DocumentElement.*xx: remove unused duplicate function...


2017-07-28  osnola  <alonso@loria.fr>  [a251db31d48f9eb9c4c04496fd5aeb48635bc3a1]

tmove check for __attribute__((__format__)) to configure


2017-07-27  osnola  <alonso@loria.fr>  [b71c101085b90e580a7312db35ab8a5bb89cadce]

tReplace DocumentElementVector by a std::vector<...>


2017-07-26  osnola  <alonso@loria.fr>  [b352e50678e525dab2fd61a84b7a97e7867cd891]

tg++-7: correct a warning


2017-07-26  osnola  <alonso@loria.fr>  [c17a93d88f9bd100e567d013dbc2e83157b677e3]

tall: replace XXX::shared_ptr by std::shared_ptr + configure.ac: add AX_CXX_COMPILE_STDCXX_11


2017-05-16  David Tardon  <dtardon@redhat.com>  [3a38bcb5d8810c6b2b282c6e95079edb3717023d]

tdrop :: prefix


2016-08-17  osnola  <alonso@loria.fr>  [5e23c61c26a81443f51f11e45ce8109921991062]

tListStyle.cxx: do not loop if a list level is skipped...


2015-11-25  osnola  <alonso@loria.fr>  [6f7d2b9aa396e1e328c86ba1b5accfe55347820b]

tconfigure.ac: increase minor version...


2015-11-25  osnola  <alonso@loria.fr>  [6233a8f0e8092f7ad5d6fcaf53fd39d9252be31e]

tconfigure.ac: bump micro version (to prepare new release)


2015-11-23  osnola  <alonso@loria.fr>  [3a84efd36bb0c0553384000f3ba13baf68fbfb50]

ttest: include stdio.h for fprintf


2015-11-23  osnola  <alonso@loria.fr>  [617b3e878c397c2cf1db3df37924fc69991b8a2d]

ttest programs: catch potential exceptions... Table.cxx: do not generate table-row-heights with no dimensions...


2015-11-22  osnola  <alonso@loria.fr>  [0d2dbb87d321f592bfa9546bc6cd0dcb23a4b063]

tTable: do not generate empty table-row-heights and cells without content...


2015-11-22  osnola  <alonso@loria.fr>  [c3c5724ad39cdc593efccec40b27f0f08a373432]

tSpreadsheet's conversion: try to recover the picture which are  attached to a cell...


2015-11-21  osnola  <alonso@loria.fr>  [1a2b38dcac4ecace38e2d165043b8f7f67292048]

tSpreadsheet: do not generate bottom rows and right columns if they   do not contain some cells with values...


2015-11-20  osnola  <alonso@loria.fr>  [0b1045b99313c74a0e87af8d819f7550d1384010]

tTable: begin to read the table:number-columns/rows-repeated attributes, 	to be continued...


2015-11-19  osnola  <alonso@loria.fr>  [bd726f6ae9c3a279e42cf657afceae85b2ffa0cc]

tTable: optimize code to store/retrieve the list of filled cells.


2015-11-18  osnola  <alonso@loria.fr>  [145ee42d69662abb94f80dd0a15c23f0e9beeb0f]

tTable: create a container to store cell's content, which will be   needed to read the table:number-rows/columns-repeated attributes,   to be continued, ... FilterInternal: add a template for creating vector of 2 integers, ...


2015-11-18  osnola  <alonso@loria.fr>  [b62a621aa455f6cc7ebbc7e5822de46aa95ad0ee]

tcppcheck: make some constructors explicit...


2015-10-01  osnola  <alonso@loria.fr>  [9f615949b874540e91d0a621ab7c2181db5a95e8]

tCorrect a file signature...


2015-09-30  David Tardon  <dtardon@redhat.com>  [8f39403b9d0b066b9b61f1e2872fc2130e05d8ab]

tremove stray space


2015-08-30  David Tardon  <dtardon@redhat.com>  [655b3e9aecb20e5adc1115c00a31fb785c2ead36]

tautomatically pass -std=c++11 if needed


2015-08-30  David Tardon  <dtardon@redhat.com>  [dd5e4abad1b617b16fe6170a23aaab1726eba8b6]

tremove unused argument


2015-07-19  osnola  <alonso@loria.fr>  [532df84e74301c4c693635bcf47021fac1ceaa5f]

tABWGenerator: implement librevenge:replacement-objects for picture...


2015-05-23  David Tardon  <dtardon@redhat.com>  [47cf7fa80facafa46c002061fa142e54ddfb3582]

tthis is already tested in top-level Makefile


2015-05-23  David Tardon  <dtardon@redhat.com>  [b3a1741dbf2c454fb1ece0989a9ca6b3040d25b1]

tlib doesn't need to be linked with librevenge-stream


2015-05-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6ca4552da1c81d47716a9a56291fb193c50fa874]

tFix werror build


2015-03-13  osnola  <alonso@loria.fr>  [722fbadbd0304a720527e7ef19e2387bdb53e3af]

tMakefile.am: add an astyle command configure.ac: add again -Wformat=2 in paranoic mode doxygen: update the config file FilterInternal.hxx: try to improve the format attribute's definition


2015-02-15  osnola  <alonso@loria.fr>  [72c3fde301b6c3ca1e27eefcfb4f7d56a612a4e6]

tcppcheck: remove some unused functions...


2015-02-02  David Tardon  <dtardon@redhat.com>  [a7251d99d06f119ff495366525ff87045ee337b2]

tremove bashism


2014-12-24  David Tardon  <dtardon@redhat.com>  [0a4ed90061364de1e017719ac6346a569cabdef3]

treconstruct headings


2014-12-24  osnola  <alonso@loria.fr>  [75b6fb2dc559a3da32be79ca69e192af646d1772]

tCorrect a compilation warning...


2014-12-24  osnola  <alonso@loria.fr>  [4d8c7efac644a13091736f2a5346d4c867c49983]

tTry to implement drawRectangle, drawEllipse, ... (by creating automatically a SVG picture)


2014-12-23  osnola  <alonso@loria.fr>  [4f898de9eb985619e79153a227c0479cd652c905]

tAdd some files to transform drawRectangle, ... calls in SVG pictures, to be continued...


2014-12-21  osnola  <alonso@loria.fr>  [a4ba3824fb34af39cb17384765b1a4e0ddc5d946]

tForce locale to be "C" when using std::stringstream...


2014-12-19  osnola  <alonso@loria.fr>  [61052ead76f1d8204a386fd74b1d141ee4a464d9]

tForce image in frame to be sent as-char +  replace a call to RVNGString::sprintf by std::streamstring  to avoid problem with locale...


2014-12-19  osnola  <alonso@loria.fr>  [dd29b7701558ea8e18a620879e1b7c243e51a6f5]

tTry to do not create frame in header/footer + try to recover left table's margin(if defined).


2014-12-15  Fridrich Strba  <fridrich.strba@bluewin.ch>  [20b5e25422dee6ce7213997d25dfa8028f17da5a]

tDon't inherit from std::containers


2014-12-14  osnola  <alonso@loria.fr>  [51f5b6c0cecbf5de3b55e0f02df350c553fe6dae]

tMake code to retrieve embedded spreadsheet work...


2014-12-13  osnola  <alonso@loria.fr>  [f26f79a98720ee814aaf4a001efdab7139202502]

tAdd the image to the ImageCheckerHandler + minor corrections...


2014-12-12  osnola  <alonso@loria.fr>  [f9f55c30c7b2ec3a2cb04a6801da26d6b753c079]

tAdd an interface to reconstruct a table from a librevenge::RVNGSpreadsheetInterface...


2014-12-12  osnola  <alonso@loria.fr>  [3cd266237923406ee56d9229a846b4b4457503f3]

tAs AbiWord seems to want header/footer to be defined related to the first section, ignore header/footer which appear on different sections...


2014-12-12  osnola  <alonso@loria.fr>  [97d258aad0ee90f0d7551f2ee09608df3f97c5be]

tSmall corrections...


2014-12-11  osnola  <alonso@loria.fr>  [62d066a4112b421be280130412035d9181a9fa5c]

tDefine an handler to redefine the list of valid mime-types...


2014-12-11  osnola  <alonso@loria.fr>  [5ba33f818bdd6a3be56273e817f52fc8bb2bcaac]

tremove unused class : InternalHandler...


2014-12-11  osnola  <alonso@loria.fr>  [2074f13145aed52fc427c1893efc63f0c8838557]

tCheck that each cell is correctly defined before sending a table...


2014-12-11  osnola  <alonso@loria.fr>  [daebbb7b1c0b453aa1dea2da886bff891b83856f]

tMore cleaning...


2014-12-10  osnola  <alonso@loria.fr>  [73363636ed5df578393941b7b57c65e633fac3b0]

tCreate dummy sections if the main content does not appear between openSection/closeSection +  add default start-value when a list element is opened without this attribute...


2014-12-10  osnola  <alonso@loria.fr>  [2a8bfb94e65300aa186e149c08ab93200e79a881]

tRemove ABWStringDocumentHandler from main libraries + add some test files + avoid crash if openSection is called but not closeSection...


2014-12-10  osnola  <alonso@loria.fr>  [d233cd64259d8c995cf8e3b223f6c6a8e369560e]

tUpdate the meta-data functions...


2014-12-09  osnola  <alonso@loria.fr>  [120a1d3905fcc5ac6504dc7b6e8e9f8b8901e704]

tTry to better rebuild frames...


2014-12-08  osnola  <alonso@loria.fr>  [3dc676fcff31e04c0aec82e1f6fc7749b28a042b]

tReplace sscanf by some std::string functions...


2014-12-08  osnola  <alonso@loria.fr>  [43a3ac098317a289f143e065a350f1f41338c12b]

tTry to retrieve wrapping + some cleaning...


2014-12-08  osnola  <alonso@loria.fr>  [39e1c582cda6c038fc80d63ec47a3b20cf5a49da]

tRemove some g++ and some wineg++ warnings


2014-12-07  osnola  <alonso@loria.fr>  [ad93059a3c807a856c4804dc666547e95842fccc]

tPicture: try to create frames of type image when possible...


2014-12-06  osnola  <alonso@loria.fr>  [815ca142da3b068a1cb72bdf524158b1b8ef1569]

tAdd code to retrieve comments...


2014-12-06  osnola  <alonso@loria.fr>  [9e05b1697a023d27dca4b7051dac1fac4aa785c6]

tPicture.*xx: add a audio/picture/video mime-type checker   and check that AbiWord "know" a picture's mime-type before inserting a picture, ABWGenerator.*xx: move basic functions of ABWTextGeneratorPrivate in this class...


2014-12-04  osnola  <alonso@loria.fr>  [e245f1a8f0a06e5707c23ab623376f02d1c23761]

tBetter list's reconstruction...


2014-12-04  osnola  <alonso@loria.fr>  [fe289ebc4fe80e6a578e7d0d7610d922ecd5ddd0]

tBegin to rewrite the list's state and simplify the actual code, to be continued...


2014-12-03  osnola  <alonso@loria.fr>  [580685ad8421d868c104002f6722726dfd92af17]

tBegin to try to reconstruct list, ie. add code to generate list definitions, to be continued...


2014-12-01  David Tardon  <dtardon@redhat.com>  [bcdc32a80e942690e8fd1f1a8c988a129ac139d8]

tOnly export public symbols.


2014-11-30  osnola  <alonso@loria.fr>  [ba0178db200612b3d5698429da3993373c7d7020]

tTry to retrieve border's attributes, ...


2014-11-29  osnola  <alonso@loria.fr>  [821cfa957e2874b7f01591ea95bf3c121fdf6e63]

tRecognize more span properties: language, writing's direction     + add a span style for the footnote's and note's references


2014-11-28  osnola  <alonso@loria.fr>  [158ef5fadedfd491bce0a185d10f812be1d3ec57]

tRecognize more span properties: hidden and paragraph properties: borders + fix some problems...


2014-11-26  osnola  <alonso@loria.fr>  [4386d4c610c8d0a3d4ffbdadbbc81fbbaabf507c]

tfinish to prefix all member variables with "m_"


2014-11-26  osnola  <alonso@loria.fr>  [214d9877170c12600783afe969a561bbdcbcacec]

tbegin to implement insertBinaryObject + rename ABWGenerator in ABWTextGenerator   + begin to prefix all member variables with "m_" , ...


2014-11-22  osnola  <alonso@loria.fr>  [7e6c86d03989e25628cf4f8e2001620c8a495726]

tUse the first page span to generate "pagesize" content + allow to create simple tables...


2014-11-21  osnola  <alonso@loria.fr>  [84f693795d1e0bc3695500d80ee920531bd1c74e]

tFirst commit to insert some files (largely inspired from libodfgen).

